List Trails
Return all Trail definitions that the requesting account can manage. Each item includes its trigger, action bindings, lifecycle state, and latest occurrence times. Archived Trails remain in the result.
Return all Trail definitions that the requesting account can manage. Each item includes its trigger, action bindings, lifecycle state, and latest occurrence times. Archived Trails remain in the result.
storyden-session<token>Trails retrieved.
application/json- response
trails*array<>curl -X GET 'https://example.com/api/trails'{ "trails": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "description": "string", "created_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "status": "active", "trigger": { "type": "schedule", "schedule": { "start": "string", "timezone": "string", "rule": { "frequency": "hourly", "interval": 1, "by_weekday": [ "monday" ], "by_month": [ 1 ], "by_month_day": [ -31 ], "count": 1 } } }, "actions": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "action": { "type": "robot_run", "robot_ref": "string", "instruction": "string" } } ], "next_occurrence_at": "2019-08-24T14:15:22Z", "last_occurrence_at": "2019-08-24T14:15:22Z" } ]}Get a Trail GET
Return one Trail definition. The response includes the current trigger, active action bindings, lifecycle state, and occurrence times. The operation does not return run history.
Get a Trail run and its independent action results GET
Return one Trail run and its action runs. The response contains the immutable trigger snapshot, aggregate status, action configuration snapshots, outputs, errors, and linked Robot resources.